# H460_FeatureTable Class Reference

`#include <h4601.h>`

Inheritance diagram for H460_FeatureTable:

[legend]
Collaboration diagram for H460_FeatureTable:
[legend]

## Public Member Functions

Construction
| H460_FeatureTable ()
| H460_FeatureTable (const H225_ArrayOf_EnumeratedParameter &Xparams)
Construction
H460_FeatureParameter & | AddParameter (const H460_FeatureID &id, const H460_FeatureContent &con)
H460_FeatureParameter & | AddParameter (const H460_FeatureID &id)
void | AddParameter (H225_EnumeratedParameter &Xparam)
H460_FeatureParameter & | GetParameter (PINDEX id)
H460_FeatureParameter & | GetParameter (const H460_FeatureID &id)
PINDEX | GetParameterIndex (const H460_FeatureID &id)
PBoolean | HasParameter (const H460_FeatureID &id)
void | RemoveParameter (PINDEX id)
void | RemoveParameter (const H460_FeatureID &id)
void | ReplaceParameter (const H460_FeatureID &id, const H460_FeatureContent &con)
int | ParameterCount ()
PBoolean | ParameterIsUnique (const H460_FeatureID &id)
H460_FeatureParameter & | operator[] (PINDEX id) const
H460_FeatureParameter & | operator[] (PINDEX id)

## Detailed Description

This is a base class for H.323 Feature handling. This implements the service class session management as per H460 Series.

## Constructor & Destructor Documentation

H460_FeatureTable::H460_FeatureTable | ( |  | ) |

Blank Feature

H460_FeatureTable::H460_FeatureTable | ( | const H225_ArrayOf_EnumeratedParameter & | Xparams | ) |

Contruction received from PDU

## Member Function Documentation

void H460_FeatureTable::AddParameter | ( | H225_EnumeratedParameter & | Xparam | ) |

AddParameter Add parameter from information received in a PDU

H460_FeatureParameter& H460_FeatureTable::AddParameter | ( | const H460_FeatureID & | id | ) |

AddParameter Add parameter without any content

H460_FeatureParameter& H460_FeatureTable::AddParameter | ( | const H460_FeatureID & | id,
|  | const H460_FeatureContent & | con |
| ) |  |  |

AddParameter Add a parameter to the parameter list from the two components which make up the parameter.

H460_FeatureParameter& H460_FeatureTable::GetParameter | ( | const H460_FeatureID & | id | ) |

GetParameter Get the parameter with the matching Feature ID. The paramter list is searcheed to find the parameter with the matching feature id. If not found returns a blank feature parameter

H460_FeatureParameter& H460_FeatureTable::GetParameter | ( | PINDEX | id | ) |

GetParameter Get the parameter at defined index location in the parameter list. Used for iterations of the parameter list.

PINDEX H460_FeatureTable::GetParameterIndex | ( | const H460_FeatureID & | id | ) |

GetParameterIndex Get the paramter list index for the feature parameter with the matching feature id.

PBoolean H460_FeatureTable::HasParameter | ( | const H460_FeatureID & | id | ) |

HasParameter Return True if the parameter list contains a matching feature parameter with the supplied feature id.

H460_FeatureParameter& H460_FeatureTable::operator[] | ( | PINDEX | id | ) |

Operator

Parameters:

  id | * Index position in the collection of the object.

H460_FeatureParameter& H460_FeatureTable::operator[] | ( | PINDEX | id | ) | const`[inline]`

Operator

Parameters:

  id | * Index position in the collection of the object.

int H460_FeatureTable::ParameterCount | ( |  | ) | `[inline]`

ParameterCount Number of Feature Parameters in the Parameter List.

PBoolean H460_FeatureTable::ParameterIsUnique | ( | const H460_FeatureID & | id | ) |

ParameterIsUnique return TRUE if there is only 1 instance of feature parameter with matching feature ID exists in the feature list. You cannot replace the contents of the parameter if the parameter ID is not unique.

void H460_FeatureTable::RemoveParameter | ( | const H460_FeatureID & | id | ) |

RemoveParameter Remove Feature Parameter from the Parameter list with the matching Feature ID.

void H460_FeatureTable::RemoveParameter | ( | PINDEX | id | ) |

RemoveParameter Removes Feature Parameter from the Parameter list at the specified index.

void H460_FeatureTable::ReplaceParameter | ( | const H460_FeatureID & | id,
|  | const H460_FeatureContent & | con |
| ) |  |  |

ReplaceParameter Replace the Feature contents of the unique Feature parameter with matching Feature ID in the parameter list.

The documentation for this class was generated from the following file:

- h4601.h